# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "oli"
version = "0.30.5"
authors = ["OpenDAL Contributors <dev@opendal.apache.org>"]
description = "OpenDAL Command Line Interface"
homepage = "https://opendal.apache.org/"
keywords = [
    "storage",
    "data",
    "s3",
    "fs",
    "azblob",
]
categories = ["filesystem"]
license = "Apache-2.0"
repository = "https://github.com/apache/incubator-opendal"
resolver = "1"

[dependencies.anyhow]
version = "1"

[dependencies.clap]
version = "4"
features = [
    "cargo",
    "string",
]

[dependencies.dirs]
version = "5.0.0"

[dependencies.env_logger]
version = "0.10"

[dependencies.futures]
version = "0.3"

[dependencies.log]
version = "0.4"

[dependencies.opendal]
version = "0.30"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.tokio]
version = "1.26"
features = [
    "fs",
    "macros",
    "rt-multi-thread",
    "io-std",
]

[dependencies.toml]
version = "0.7.3"

[dependencies.url]
version = "2.3.1"

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.predicates]
version = "2"

[features]
services-dashmap = ["opendal/services-dashmap"]
services-ftp = ["opendal/services-ftp"]
services-hdfs = ["opendal/services-hdfs"]
services-ipfs = ["opendal/services-ipfs"]
services-memcached = ["opendal/services-memcached"]
services-moka = ["opendal/services-moka"]
services-redis = ["opendal/services-redis"]
services-rocksdb = ["opendal/services-rocksdb"]
services-sled = ["opendal/services-sled"]
